#include <bits/stdc++.h>

template<class T>
T sqr(T x) {
    return x * x;
}

int main() {
    freopen("division.in", "r", stdin);
    freopen("division.out", "w", stdout);
    int n;
    std::cin >> n;
    int min_ans = 1e9;
    int best_a = -1, best_b = -1, best_c = -1;
    for (int a = 1; a <= n; a++) {
        for (int b = a + 1; a + b + b + 1 <= n; b++) {
            int c = n - a - b;
            if (sqr(a) + sqr(b) + sqr(c) < min_ans) {
                min_ans = sqr(a) + sqr(b) + sqr(c);
                best_a = a;
                best_b = b;
                best_c = c;
            }
        }
    }
    std::cout << best_a << " " << best_b << " " << best_c << '\n';
    return 0;
}
